Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Threaded View
MapReduce, mail # user - HDP 2.0 Install fails on repo unavailability


Copy link to this message
-
Re: HDP 2.0 Install fails on repo unavailability
Hitesh Shah 2013-10-24, 23:36
BCC'ing user@hadoop.

This is a question for the ambari mailing list.

-- Hitesh

On Oct 24, 2013, at 3:36 PM, Jain, Prem wrote:

> Folks,
>  
> Trying to install the newly release Hadoop 2.0 using Ambari. I am able to install Ambari, but when I try to install Hadoop 2.0 on rest of the cluster, the installation fails erroring on repo mirror unavailability.  Not sure where I messed up.
>  
> Here are the error messages
>  
> Output log from AMBARI during Installation
>  
> notice: /Stage[1]/Hdp::Snappy::Package/Hdp::Snappy::Package::Ln[32]/Hdp::Exec[hdp::snappy::package::ln 32]/Exec[hdp::snappy::package::ln 32]/returns: executed successfully
> err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-libhdfs]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install hadoop-libhdfs' returned 1:
>  
> Error Downloading Packages:
>   hadoop-2.2.0.2.0.6.0-76.el6.x86_64: failure: hadoop/hadoop-2.2.0.2.0.6.0-76.el6.x86_64.rpm from HDP-2.0.6: [Errno 256] No more mirrors to try.
>   zookeeper-3.4.5.2.0.6.0-76.el6.noarch: failure: zookeeper/zookeeper-3.4.5.2.0.6.0-76.el6.noarch.rpm from HDP-2.0.6: [Errno 256] No more mirrors to try.
>   hadoop-hdfs-2.2.0.2.0.6.0-76.el6.x86_64: failure: hadoop/hadoop-hdfs-2.2.0.2.0.6.0-76.el6.x86_64.rpm from HDP-2.0.6: [Errno 256] No more mirrors to try.
>  
>  
> err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-lzo]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install hadoop-lzo' returned 1:
>  
> Error Downloading Packages:
>   hadoop-2.2.0.2.0.6.0-76.el6.x86_64: failure: hadoop/hadoop-2.2.0.2.0.6.0-76.el6.x86_64.rpm from HDP-2.0.6: [Errno 256] No more mirrors to try.
>   zookeeper-3.4.5.2.0.6.0-76.el6.noarch: failure: zookeeper/zookeeper-3.4.5.2.0.6.0-76.el6.noarch.rpm from HDP-2.0.6: [Errno 256] No more mirrors to try.
>  
>  
> notice: /Stage[2]/Hdp-hadoop::Initialize/Configgenerator::Configfile[hdfs-site]/File[/etc/hadoop/conf/hdfs-site.xml]/content: content changed '{md5}117224b1cf67c151f8a3d7ac0a157fa5' to '{md5}ba383a94bdde1a0b2eb5c59b1f5b61e7'
> notice: /Stage[2]/Hdp-hadoop::Initialize/Configgenerator::Configfile[capacity-scheduler]/File[/etc/hadoop/conf/capacity-scheduler.xml]/content: content changed '{md5}08d7e952b3e2d4fd5a2a880dfcd3a2df' to '{md5}dd3922fc27f72cd78cf2b47f57351b08'
> notice: /Stage[2]/Hdp-hadoop::Initialize/Configgenerator::Configfile[core-site]/File[/etc/hadoop/conf/core-site.xml]/content: content changed '{md5}76d06ebce1310be7e65ae0c7e8c3068a' to '{md5}1b626aa016a6f916271f67f3aa22cbbb'
> err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install hadoop' returned 1:
>  
> Error Downloading Packages:
>   hadoop-2.2.0.2.0.6.0-76.el6.x86_64: failure: hadoop/hadoop-2.2.0.2.0.6.0-76.el6.x86_64.rpm from HDP-2.0.6: [Errno 256] No more mirrors to try.
>   zookeeper-3.4.5.2.0.6.0-76.el6.noarch: failure: zookeeper/zookeeper-3.4.5.2.0.6.0-76.el6.noarch.rpm from HDP-2.0.6: [Errno 256] No more mirrors to try.
>  
>  
> notice: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Anchor[hdp::package::hadoop 64::end]: Dependency Package[hadoop-libhdfs] has failures: true
> notice: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Anchor[hdp::package::hadoop 64::end]: Dependency Package[hadoop-lzo] has failures: true
> notice: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Anchor[hdp::package::hadoop 64::end]: Dependency Package[hadoop] has failures: true
> notice: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Anchor[hdp-hadoop::package::helper::end]: Dependency Package[hadoop-libhdfs] has failures: true